Loading...
Searching...
No Matches
ipaccess.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | ipaccess_head
struct | ipaccess_head_ext
struct | sdp_firmware
struct | sdp_header_entry

## Macros

#define | IPA_TCP_PORT_OML 3002
#define | IPA_TCP_PORT_RSL 3003

## Enumerations

enum | ipaccess_proto { IPAC_PROTO_RSL = 0x00 , IPAC_PROTO_IPACCESS = 0xfe , IPAC_PROTO_SCCP = 0xfd , IPAC_PROTO_OML = 0xff , IPAC_PROTO_OSMO = 0xee , IPAC_PROTO_MGCP_OLD = 0xfc }
enum | ipaccess_proto_ext { IPAC_PROTO_EXT_CTRL = 0x00 , IPAC_PROTO_EXT_MGCP = 0x01 , IPAC_PROTO_EXT_LAC = 0x02 , IPAC_PROTO_EXT_SMSC = 0x03 , IPAC_PROTO_EXT_ORC = 0x04 , IPAC_PROTO_EXT_GSUP = 0x05 , IPAC_PROTO_EXT_OAP = 0x06 , IPAC_PROTO_EXT_RSPRO = 0x07 , IPAC_PROTO_EXT_PCU = 0x08 , IPAC_PROTO_EXT_TCAP_ROUTING = 0x09 }
enum | ipaccess_msgtype { IPAC_MSGT_PING = 0x00 , IPAC_MSGT_PONG = 0x01 , IPAC_MSGT_ID_GET = 0x04 , IPAC_MSGT_ID_RESP = 0x05 , IPAC_MSGT_ID_ACK = 0x06 , IPAC_MSGT_ID_NACK = 0x07 , IPAC_MSGT_PROXY = 0x08 , IPAC_MSGT_PROXY_ACK = 0x09 , IPAC_MSGT_PROXY_NACK = 0x0a , IPAC_MSGT_SSL_INFO = 0x0b , IPAC_MSGT_SCCP_OLD = 0xff }

enum

ipaccess_id_tags {
IPAC_IDTAG_SERNR = 0x00 ,
IPAC_IDTAG_UNITNAME = 0x01 ,
IPAC_IDTAG_LOCATION1 = 0x02 ,
IPAC_IDTAG_LOCATION2 = 0x03 ,
IPAC_IDTAG_EQUIPVERS = 0x04 ,
IPAC_IDTAG_SWVERSION = 0x05 ,
IPAC_IDTAG_IPADDR = 0x06 ,
IPAC_IDTAG_MACADDR = 0x07 ,
IPAC_IDTAG_UNIT = 0x08 ,
IPAC_IDTAG_USERNAME = 0x09 ,
IPAC_IDTAG_PASSWORD = 0x0a ,
IPAC_IDTAG_ACCESS_CLASS = 0x0b ,
IPAC_IDTG_APP_PROTO_VER = 0x0c
}

## Functions

struct ipaccess_head | __attribute__ ((packed))

## Variables

uint16_t | len
uint8_t | proto
uint8_t | data [0]
enum ipaccess_proto | __attribute__
char | magic [4]
char | more_magic [2]
uint16_t | more_more_magic
uint32_t | header_length
uint32_t | file_length
char | sw_part [20]
char | text1 [64]
char | time [12]
char | date [14]
char | text2 [10]
char | version [20]
uint16_t | table_offset
uint16_t | something1
uint32_t | length
uint32_t | addr1
uint32_t | addr2
uint32_t | start

## Macro Definition Documentation

## IPA_TCP_PORT_OML

#define IPA_TCP_PORT_OML 3002

## IPA_TCP_PORT_RSL

#define IPA_TCP_PORT_RSL 3003

## Enumeration Type Documentation

## ipaccess_id_tags

enum ipaccess_id_tags

Enumerator
IPAC_IDTAG_SERNR |
IPAC_IDTAG_UNITNAME |
IPAC_IDTAG_LOCATION1 |
IPAC_IDTAG_LOCATION2 |
IPAC_IDTAG_EQUIPVERS |
IPAC_IDTAG_SWVERSION |
IPAC_IDTAG_IPADDR |
IPAC_IDTAG_MACADDR |
IPAC_IDTAG_UNIT |
IPAC_IDTAG_USERNAME |
IPAC_IDTAG_PASSWORD |
IPAC_IDTAG_ACCESS_CLASS |
IPAC_IDTG_APP_PROTO_VER |

## ipaccess_msgtype

enum ipaccess_msgtype

Enumerator
IPAC_MSGT_PING |
IPAC_MSGT_PONG |
IPAC_MSGT_ID_GET |
IPAC_MSGT_ID_RESP |
IPAC_MSGT_ID_ACK |
IPAC_MSGT_ID_NACK |
IPAC_MSGT_PROXY |
IPAC_MSGT_PROXY_ACK |
IPAC_MSGT_PROXY_NACK |
IPAC_MSGT_SSL_INFO |
IPAC_MSGT_SCCP_OLD |

## ipaccess_proto

enum ipaccess_proto

Enumerator
IPAC_PROTO_RSL |
IPAC_PROTO_IPACCESS |
IPAC_PROTO_SCCP |
IPAC_PROTO_OML |
IPAC_PROTO_OSMO |
IPAC_PROTO_MGCP_OLD |

## ipaccess_proto_ext

enum ipaccess_proto_ext

Enumerator
IPAC_PROTO_EXT_CTRL |
IPAC_PROTO_EXT_MGCP |
IPAC_PROTO_EXT_LAC |
IPAC_PROTO_EXT_SMSC |
IPAC_PROTO_EXT_ORC |
IPAC_PROTO_EXT_GSUP |
IPAC_PROTO_EXT_OAP |
IPAC_PROTO_EXT_RSPRO |
IPAC_PROTO_EXT_PCU |
IPAC_PROTO_EXT_TCAP_ROUTING |

## Variable Documentation

## __attribute__

enum ipaccess_proto __attribute__

## addr1

uint32_t addr1

## addr2

uint32_t addr2

## data

uint8_t data[0]

## date

char date

## file_length

uint32_t file_length

## header_length

uint32_t header_length

## len

uint16_t len

## length

uint32_t length

## magic

char magic[4]

## more_magic

char more_magic[2]

## more_more_magic

uint16_t more_more_magic

## proto

uint8_t proto

Referenced by gsm411_push_cp_header(), ipa_ccm_idtag_parse_off(), ipa_prepend_header(), ipa_prepend_header_ext(), and osmo_bssmap_le_ie_dec_apdu().

## something1

uint16_t something1

## start

uint32_t start

Referenced by gsm0808_enc_kc128().

## sw_part

char sw_part[20]

## table_offset

uint16_t table_offset

## text1

char text1

## text2

char text2

## time

char time

Referenced by gsm340_gen_scts(), gsm340_vp_absolute(), gsm_fn2gsmtime(), gsm_fn_as_gsmtime_str(), and gsm_gsmtime2fn().

## version

char version[20]